Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155386 - CAN-2005-0755 HelixPlayer buffer overflow
Summary: CAN-2005-0755 HelixPlayer buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: HelixPlayer
Version: 4.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard: impact=critical,public=20050419,repor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 20:50 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 17:26:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:392 normal SHIPPED_LIVE Critical: HelixPlayer security update 2005-04-20 04:00:00 UTC

Description Josh Bressers 2005-04-19 20:50:33 UTC
+++ This bug was initially created as a clone of Bug #153931 +++

We have been informed of a buffer overflow issue in the version of HelixPlayer
we ship.  A malicious RAM file can overflow a buffer and execute arbitrary code
on a victims machine.

Comment 1 Josh Bressers 2005-04-19 20:52:35 UTC
There's no update on the Helix site for this, and I see nothing the the Helix
CVS to patch this, we're just screwed for now until we have something to update
the packages.

Comment 2 Josh Bressers 2005-04-19 21:50:09 UTC
Updated helix source is here:
https://helixcommunity.org/download.php/1137/hxplay-10.0.4-source.tar.bz2

Comment 3 Jay Turner 2005-04-20 08:40:39 UTC
Fix confirmed with HelixPlayer-1.0.4-1.1.EL4.2.  Moving to PROD_READY.

Comment 4 Josh Bressers 2005-04-20 17:26:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-392.html



Note You need to log in before you can comment on or make changes to this bug.